Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 501754 (CVE-2014-2015) - <net-dialup/freeradius-2.2.5: stack-based buffer overflow flaw in rlm_pap module (CVE-2014-2015)
Summary: <net-dialup/freeradius-2.2.5: stack-based buffer overflow flaw in rlm_pap mod...
Status: RESOLVED FIXED
Alias: CVE-2014-2015
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL: https://bugzilla.redhat.com/show_bug....
Whiteboard: B2 [glsa]
Keywords:
Depends on: 489958
Blocks:
  Show dependency tree
 
Reported: 2014-02-19 08:39 UTC by Agostino Sarubbo
Modified: 2014-06-15 00:36 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2014-02-19 08:39:46 UTC
From ${URL} :

Pierre Carrier reported a stack-based buffer overflow flaw in the FreeRADIUS rlm_pap module. An 
authenticated user could trigger this issue by creating a large password, causing FreeRADIUS to crash. The 
stack protector and SSP variable re-ordering protections should help prevent this issue from being used to 
execute arbitrary code.

Upstream fixes:
2.x: https://github.com/FreeRADIUS/freeradius-server/commit/0d606cfc29a.patch
3.x: https://github.com/FreeRADIUS/freeradius-server/commit/ff5147c9e5088c7.patch
master: https://github.com/FreeRADIUS/freeradius-server/commit/f610864d4c8f51d.patch

References:
http://lists.freebsd.org/pipermail/freebsd-bugbusters/2014-February/000610.html


@maintainer(s): after the bump, in case we need to stabilize the package, please let us know if it is ready for the stabilization or not.
Comment 1 Jeroen Roovers gentoo-dev 2014-05-03 16:49:27 UTC
Arch teams, please test and mark stable:
=net-dialup/freeradius-2.2.5
Targeted stable KEYWORDS : amd64 x86
Comment 2 Agostino Sarubbo gentoo-dev 2014-05-04 08:20:41 UTC
amd64 stable
Comment 3 Agostino Sarubbo gentoo-dev 2014-05-18 10:16:28 UTC
x86 stable.

Maintainer(s), please cleanup.
Security, please add it to the existing request, or file a new one.
Comment 4 Yury German Gentoo Infrastructure gentoo-dev Security 2014-05-20 04:15:12 UTC
Arches and Maintainer(s), Thank you for your work.

Added to new GLSA Request
Comment 5 GLSAMaker/CVETool Bot gentoo-dev 2014-06-15 00:36:26 UTC
This issue was resolved and addressed in
 GLSA 201406-12 at http://security.gentoo.org/glsa/glsa-201406-12.xml
by GLSA coordinator Chris Reffett (creffett).